# class Error | Factory methods for error objects. More...
Full name | `KJS::Error`
Definition | `#include <object.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Static Methods

- static KJSO create (ErrorType e, const char *m = 0, int l = -1)
- static Object createObject (ErrorType e, const char *m = 0, int l = -1)

## Detailed Description

KJSO create (ErrorType e, const char *m = 0, int l = -1) | ### create

[static]

Factory method for error objects. The error will be registered globally and the execution will continue as if a "throw" statement was encountered.

Parameters:

e | Type of error.
m | Optional error message.
l | Optional line number.

Object createObject (ErrorType e, const char *m = 0, int l = -1) | ### createObject

[static]

Same as above except the different return type (which is not casted here).

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:45:14 2001, using kdoc 2.0a53.